hadoop-hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stephen Watt <sw...@us.ibm.com>
Subject Re: Build Crashing on Hive 0.5 Release
Date Fri, 03 Sep 2010 14:53:48 GMT
Thanks for the suggestion Ed. I tried that but it doesn't help, the build 
still crashes in the same place with the same message. i.e. It doesn't 
complete and report errors, it crashes and gives the following error:

 [junit] Test org.apache.hadoop.hive.cli.TestCliDriver FAILED

BUILD FAILED
/home/hive/hive-0.5.0-build/hive-0.5.0-dev/src/build.xml:151: The 
following error occurred while executing this line:
/home/hive/hive-0.5.0-build/hive-0.5.0-dev/src/build.xml:91: The following 
error occurred while executing this line:
/home/hive/hive-0.5.0-build/hive-0.5.0-dev/src/build-common.xml:327: Tests 
failed

Is there a specific point release of Java 1.6 I should be using? 

Also, I do see this in the ant output, not sure if its affecting Hive:

    [echo] Compiling shims against hadoop 0.20.0 
(/home/hive/hive-0.5.0-build/hive-0.5.0-dev/src/build/hadoopcore/hadoop-0.20.0)
    [javac] Compiling 2 source files to 
/home/hive/hive-0.5.0-build/hive-0.5.0-dev/src/build/shims/classes
    [javac] Note: 
/home/hive/hive-0.5.0-build/hive-0.5.0-dev/src/shims/src/0.20/java/org/apache/hadoop/hive/shims/Hadoop20Shims.java

uses or overrides a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] Note: 
/home/hive/hive-0.5.0-build/hive-0.5.0-dev/src/shims/src/0.20/java/org/apache/hadoop/hive/shims/Hadoop20Shims.java

uses unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.

Regards
Steve Watt 



From:
Edward Capriolo <edlinuxguru@gmail.com>
To:
hive-dev@hadoop.apache.org
Date:
09/02/2010 04:33 PM
Subject:
Re: Build Crashing on Hive 0.5 Release



On Thu, Sep 2, 2010 at 5:12 PM, Stephen Watt <swatt@us.ibm.com> wrote:
> Hi Folks
>
> I'm a Hadoop contributor and am presently working to get both Hadoop and
> Hive running on alternate JREs such as Apache Harmony and IBM Java.
>
> I noticed when building and running the functional tests ("clean test
> tar") for the Hive 0.5 release (i.e. not nightly build) , the build
> crashes right after running
> org.apache.hadoop.hive.ql.tool.TestLineageInfo. In addition, the
> TestCLIDriver Test Case fails as well. This is all using SUN JDK 
1.60_14.
> I'm running on a SLES 10 system.
>
> This is a little odd, given that this is a release and not a nightly
> build. Although, its not uncommon for me to see Hudson pass tests that
> fail when running locally. Can someone confirm the build works for them?
>
> This is my build script:
>
> #!/bin/sh
>
> # Set Build Dependencies
> set PATH=$PATH:/home/hive/Java-Versions/jdk1.6.0_14/bin/
> export ANT_HOME=/home/hive/Test-Dependencies/apache-ant-1.7.1
> export JAVA_HOME=/home/hive/Java-Versions/jdk1.6.0_14
> export BUILD_DIR=/home/hive/hive-0.5.0-build
> export HIVE_BUILD=$BUILD_DIR/build
> export HIVE_INSTALL=$BUILD_DIR/hive-0.5.0-dev/
> export HIVE_SRC=$HIVE_INSTALL/src
> export PATH=$PATH:$ANT_HOME/bin
>
> # Define Hadoop Version to Use
> HADOOP_VER=0.20.2
>
> # Run Build and Unit Test
> cd $HIVE_SRC
> ant -Dtarget.dir=$HIVE_BUILD -Dhadoop.version=$HADOOP_VER clean test tar 
>
> $BUILD_DIR/hiveSUN32Build.out
>
>
> Regards
> Steve Watt

I seem to remember. There were some older bugs when specifying the
minor versions of the 20 branch.
can you try:

HADOOP_VER=0.20.0

Rather then:

HADOOP_VER=0.20.2



Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message